CADxp: Angle x/y scu - CADxp

Aller au contenu

Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

Angle x/y scu

#1 L'utilisateur est hors-ligne   open-mind 

  • ceinture noire
  • Groupe : Membres
  • Messages : 351
  • Inscrit(e) : 02-mai 06

Posté 11 janvier 2017 - 10:27

Bonjour
je me posais une question:
Peut-on modifier l'angle de 90° entre x et y du scu?
Peut-on le personnaliser? (quand les bâtiments sont de tordus, ce serait bien d'avoir un certain angle entre ces 2 axes pour toujours tracer parallèle, sans avoir a changer de scu selon on l'on se trouve).
0

#2 L'utilisateur est hors-ligne   nG! Hebus 

  • ceinture noire 1er dan
  • Groupe : Membres
  • Messages : 541
  • Inscrit(e) : 27-août 14

Posté 11 janvier 2017 - 10:35

Salut,

Pourquoi ne pas créer un angle spécifique dans le repérage polaire?

C'est un solution !

Sinon tu fait varier le SCU puis tu te met suivant le SCU courant, il te "tourne" le plan suivant le scu que tu a mis.

Sinon je ne vois pas trop comment faire :mellow:
Soutien crowdfunding BD

Citation

"C'est parce que la vitesse de la lumière est supérieure à celle du son que tant de gens paraissent brillants avant d'avoir l'air con."
0

#3 L'utilisateur est hors-ligne   open-mind 

  • ceinture noire
  • Groupe : Membres
  • Messages : 351
  • Inscrit(e) : 02-mai 06

Posté 16 mars 2017 - 15:51

Salut!
J'ai oublié de répondre:
Créer un angle spécifique en polaire, c'est compliqué vu que ce n'est pas un nombre entier. Et ca me compliquerait trop la vie vue qu'il m'en faudrait beaucoup.

Utiliser les scu, c'est ce que je fais justement(sauf que je ne le fais pas tourner mais c'est un choix perso), mais le problème se pose lorsque tu te trouves entre 2 bâtiments aux angles différents. Tu fais que ca de changer de scu, et ca oblige a interrompre les commandes en cours.
C'est pour ca que je voulais x orienté selon un bâtiment, et y selon l'autre bâtiment.
0

#4 L'utilisateur est en ligne   philsogood 

  • ceinture noire 4em dan
  • Groupe : Membres
  • Messages : 2047
  • Inscrit(e) : 03-mars 10

Posté 16 mars 2017 - 16:44

hello
j'ai du mal à saisir ta demande
tu voudrais qu'en survolant un batiment on ait un certain SCU et qu'en survolant un autre batiment on en ait un autre?
perso j'utilise un lisp à 2 balles (car de ma confection) qui permet do'rienter l'espace de travail et le SCU suivant un angle donné :

(defun c:turn (/)
  (command "_ucs" "z")
  (command pause)
  (command pause) 
  (command "_plan" "_current")
)


après de lisp ne permet d'être orienté qu'une fois en même temps...
@+
Phil
Projeteur génie énergétique - traitement de l'air
0

#5 L'utilisateur est hors-ligne   COME 

  • ceinture verte
  • Groupe : Membres
  • Messages : 65
  • Inscrit(e) : 16-septembre 13

Posté 16 mars 2017 - 18:35

Salut,

essaie la commande "snapang". Si j'ai bien compris ton besoin...



En relisant ta question, c'est non ! Désolé je sèche n'ayant jamais eu ce besoin et je ne pense pas qu'Autocad le permette.

Bon courage,
COME

La vie sans musique est tout simplement une erreur, une fatigue, un exil. »
Friedrich Nietzsche
0

#6 L'utilisateur est hors-ligne   x_all 

  • ceinture noire 5em dan
  • Groupe : Membres
  • Messages : 2996
  • Inscrit(e) : 27-juin 06
  • Location04190

Posté 17 mars 2017 - 16:58

Perso, quand j'ai des projet tordu, je pass par les SCU nommé, il faut sortir la barre d'outil SCU2 pour avoir le menu déroulant qui permet de passer de l'un a l'autre facilement

Car si tu oriente ton x à 0 et ton Y à 60°, par exemple, tu perd tous les angles droits au sein d'un même bâtiment... ce qui sera plutôt contre productif à moins de travailler en iso
"La possibilité d'expliquer m'a toujours paru comme la seule excuse à l’existence de la parole"
JL Godard

quelques trucs sur autocad
0

#7 L'utilisateur est en ligne   DenisHen 

  • ceinture noire 4em dan
  • Groupe : Membres
  • Messages : 2466
  • Inscrit(e) : 17-décembre 05
  • LocationSAINT FLORENTIN (Yonne)

Posté 18 mars 2017 - 21:37

Salut, je pense qu'Open-Mind souhaite changer l'angle entre l'axe des X et l'axe des Y. Changer de l'angle droit entre ces deux axes...

Je ne sais pas si c'est possible...

Perso, lorsque j'ai des vues "multiples", j'utilise un petit code de mon cru :
;;;***************************************************
;;;    Variables type "Géomètre" + Rotation de vue    
;;;***************************************************
(defun c:DHOrientSCU (/ p1 p2 Echo vortho Angscu p3)
  (princ "\nDéveloppé par Denis H.")
  (command "-unites" "2" "2" "3" "2" "0,0" "@0,1" "O")
  (command "_ucs" "_w")
  (setvar "angbase" (/ pi 2))           ; origine au nord
  (setvar "angdir" 1)                   ; sens horaire
  (setvar "aunits" 2)                   ; grade
  (while (and (/= p1 "Horizontale") (/= (type p1) 'LIST))
    (initget 1 "Horizontale")
    (setq p1
           (getpoint
             "\nPoint de départ ou orientation [Horizontale] <Horizontale> : "
           ) ;_ Fin de getpoint
    ) ;_ Fin de setq
    (if (= p1 "Horizontale")
      (progn (initget 7)
             (command "-vue" "g" "h")
             (command "snapang" "100")
             (vlax-ldata-put "DenisH" "AngSCU" 0)
      ) ;_ Fin de progn
      (progn (setq vortho (getvar "orthomode"))
             (setvar "orthomode" 0)
             (setq p2 (getpoint p1 (strcat "\tDirection des X :")))
             (setvar "orthomode" vortho)
             (setvar "snapang" (angle p1 p2))
             (setq Angscu (- 500 (* 200 (/ (angle p1 p2) pi))))
             (if (<= Angscu 400)
               (- Angscu 400)
             ) ;_ Fin:if
             (setq p3 (polar p1 (+ (angle p1 p2) (/ pi 2)) 1000))
             (vlax-ldata-put "DenisH" "AngSCU" Angscu)
             (command "_ucs" "_z" p1 p3)
             (command "_plan" "courant")
             (command "_ucs" "_w")
             (setvar "snapmode" 0)
             (setvar "cmdEcho" Echo)
             (command "zoom" "_w" p1 p2)
      ) ;_ Fin de progn
    ) ;_ Fin de if
  ) ;_ Fin de while
  (princ)
) ;_ Fin:defun


On sélectionne deux point, en gros, la direction de l'axe X, mais reste en SCU général...

Attention, dans ce code, on passe en grade, le 0 zénithal...2 décimales...
LinkedIn et mon site...
Windows 10 Pro 64bits / AutoCAD MAP 3D 2018.0.2
Covadis 16 / Microstation V8i

Un clavier azerty en vaut deux...
Sur terre, il y a 10 types de personnes, celles qui comptent en binaire et les autres...
Davantage d'avantages, avantagent davantage (Bobby Lapointe)
0

#8 L'utilisateur est hors-ligne   Minocia 

  • ceinture orange
  • Groupe : Membres
  • Messages : 29
  • Inscrit(e) : 05-février 09

Posté 04 avril 2017 - 10:58

Bonjour, je doute qu'il soit possible de passer à un repère non orthogonal... mais je ne pas expert en autocad.
Mais si j'essaye de "lire" ta pensée "écrite", est-ce que de mettre 2 (ou plus) fenêtres en espace objet, puis de changer le scu dans chacune d'elles pour l'adapter à chaque bâtiment, répond à tes besoins?

au clavier écris dans la ligne de commande -fenetre
puis 2 pour le nombre de fenêtre
puis v pour vertical
puis relance la commande pour diviser la fenêtre active en 2 etc etc
puis change le SCU sur chaque fenêtre, ainsi les commandes lancées ne se couperont pas lors du changement de fenêtre (donc de SCU)
Lancer la commande sans le tiret, affichera une fenêtre où enregistrement et nommage des vues sera plus plaisant.

La commande se trouve dans le menu Affichage/Fenêtres.

Cordialement.
0

#9 L'utilisateur est hors-ligne   open-mind 

  • ceinture noire
  • Groupe : Membres
  • Messages : 351
  • Inscrit(e) : 02-mai 06

Posté 07 juillet 2017 - 07:53

Voir le messageMinocia, le 04 avril 2017 - 10:58 , dit :

Bonjour, je doute qu'il soit possible de passer à un repère non orthogonal... mais je ne pas expert en autocad.
Mais si j'essaye de "lire" ta pensée "écrite", est-ce que de mettre 2 (ou plus) fenêtres en espace objet, puis de changer le scu dans chacune d'elles pour l'adapter à chaque bâtiment, répond à tes besoins?

au clavier écris dans la ligne de commande -fenetre
puis 2 pour le nombre de fenêtre
puis v pour vertical
puis relance la commande pour diviser la fenêtre active en 2 etc etc
puis change le SCU sur chaque fenêtre, ainsi les commandes lancées ne se couperont pas lors du changement de fenêtre (donc de SCU)
Lancer la commande sans le tiret, affichera une fenêtre où enregistrement et nommage des vues sera plus plaisant.

La commande se trouve dans le menu Affichage/Fenêtres.

Cordialement.


Bonne idée le coup des 2 fenêtres.
Malheureusement ca ne fonctionne pas, le scu est systématiquement le même dans les 2 vues.

Apparemment, vu les retours, il n'est pas possible de modifier l'angle de 90° entre x et y.
Tant pis, je vais donc continuer mes changement de scu. Ca oblige a interrompre les commandes en cours lorsque je dois changer mais ce n'est pas la mort.
Merci a tous.
0

#10 L'utilisateur est hors-ligne   Minocia 

  • ceinture orange
  • Groupe : Membres
  • Messages : 29
  • Inscrit(e) : 05-février 09

Posté 09 août 2017 - 09:07

Voir le messageopen-mind, le 07 juillet 2017 - 07:53 , dit :

Bonne idée le coup des 2 fenêtres.
Malheureusement ca ne fonctionne pas, le scu est systématiquement le même dans les 2 vues.


Désactive/Active le mode ortho à chaque changement de fenêtre. Il se réactivera dans le sens du scu de la fenêtre courante.

Il y a aussi l'accrochage aux objets "parallèle".

Cordialement.
0

Partager ce sujet :


Page 1 sur 1
  • Vous ne pouvez pas commencer un sujet
  • Vous ne pouvez pas répondre à ce sujet

1 utilisateur(s) en train de lire ce sujet
0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)